AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- RequireNewPasswordComponentCore
  - RequireNewPasswordComponentIonic

### Implements

- any

## Index

### Constructors

- constructor

### Properties

- _authState
- _show
- amplifyService
- errorMessage
- logger
- password

### Accessors

- authState

### Methods

- _setError
- ngOnInit
- onAlertClose
- onSignIn
- onSubmit
- setPassword

## Constructors

### constructor

- new RequireNewPasswordComponentCore(amplifyService: AmplifyService): RequireNewPasswordComponentCore

- - Defined in aws-amplify-angular/src/components/authenticator/require-new-password-component/require-new-password.component.core.ts:72

  #### Parameters

  - ##### amplifyService: AmplifyService

  #### Returns RequireNewPasswordComponentCore

## Properties

### _authState

_authState: AuthState

- Defined in aws-amplify-angular/src/components/authenticator/require-new-password-component/require-new-password.component.core.ts:68

### _show

_show: boolean

- Defined in aws-amplify-angular/src/components/authenticator/require-new-password-component/require-new-password.component.core.ts:69

### Protected amplifyService

amplifyService: AmplifyService

- Defined in aws-amplify-angular/src/components/authenticator/require-new-password-component/require-new-password.component.core.ts:74

### errorMessage

errorMessage: string

- Defined in aws-amplify-angular/src/components/authenticator/require-new-password-component/require-new-password.component.core.ts:71

### Protected logger

logger: any

- Defined in aws-amplify-angular/src/components/authenticator/require-new-password-component/require-new-password.component.core.ts:72

### password

password: string

- Defined in aws-amplify-angular/src/components/authenticator/require-new-password-component/require-new-password.component.core.ts:70

## Accessors

### authState

authState:

- Defined in aws-amplify-angular/src/components/authenticator/require-new-password-component/require-new-password.component.core.ts:79

## Methods

### _setError

- _setError(err: any): void

- - Defined in aws-amplify-angular/src/components/authenticator/require-new-password-component/require-new-password.component.core.ts:119

  #### Parameters

  - ##### err: any

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in aws-amplify-angular/src/components/authenticator/require-new-password-component/require-new-password.component.core.ts:84

  #### Returns void

### onAlertClose

- onAlertClose(): void

- - Defined in aws-amplify-angular/src/components/authenticator/require-new-password-component/require-new-password.component.core.ts:115

  #### Returns void

### onSignIn

- onSignIn(): void

- - Defined in aws-amplify-angular/src/components/authenticator/require-new-password-component/require-new-password.component.core.ts:110

  #### Returns void

### onSubmit

- onSubmit(): void

- - Defined in aws-amplify-angular/src/components/authenticator/require-new-password-component/require-new-password.component.core.ts:94

  #### Returns void

### setPassword

- setPassword(password: string): void

- - Defined in aws-amplify-angular/src/components/authenticator/require-new-password-component/require-new-password.component.core.ts:90

  #### Parameters

  - ##### password: string

  #### Returns void